#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include<QPainter>
#include <QTimer>
#include <QtCharts/QChart>
#include <QtCharts/QBarSeries>
#include <QtCharts/QCategoryAxis>
#include <QtCharts/QChartView>
#include <QtCharts/QBarSet>
#include<QString>
#include "clienttcpsocket.h"
#include"common_struct.h"
using namespace QtCharts;
namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void myRead();

private:
    Ui::MainWindow *ui;
    QChart *chart;
    QTimer *timer;
    QBarSet *barSet1;
    QBarSet *barSet2;
    ClientTcpSocket *m_client;
    void setupTimer();
    void modifyQcharts();
    void modifyProgress();
    void modifyChuanganqi();
};

#endif // MAINWINDOW_H
